|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Qt 3 Support Members for QVBoxLayout

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QVBoxLayout class reference

### Public Functions

- QVBoxLayout ( QWidget * parent, int margin, int spacing = -1, const char * name = 0 )
- QVBoxLayout ( QLayout * parentLayout, int spacing = -1, const char * name = 0 )
- QVBoxLayout ( int spacing, const char * name = 0 )

- 1 public function inherited from QBoxLayout
- 11 public functions inherited from QLayout
- 8 public functions inherited from QObject

## Member Function Documentation

### QVBoxLayout::QVBoxLayout ( QWidget * parent, int margin, int spacing = -1, const char * name = 0 )

Constructs a new top-level vertical box called name, with parent parent.

The margin is the number of pixels between the edge of the widget and its managed children. The spacing is the default number of pixels between neighboring children. If spacing is -1 the value of margin is used for spacing.

### QVBoxLayout::QVBoxLayout ( QLayout * parentLayout, int spacing = -1, const char * name = 0 )

Constructs a new vertical box called name name and adds it to parentLayout.

The spacing is the default number of pixels between neighboring children. If spacing is -1, this QVBoxLayout will inherit its parent's spacing().

### QVBoxLayout::QVBoxLayout ( int spacing, const char * name = 0 )

Constructs a new vertical box called name name. You must add it to another layout.

The spacing is the default number of pixels between neighboring children. If spacing is -1, this QVBoxLayout will inherit its parent's spacing().